Subject: bug#25408: Remove Decorations Around Emacs Frame (Windows OS)

From: martin rudalics <[email-masked]>
Date: Fri, 17 Feb 2017 08:03:01 +0100

> If they don't get focus when they pop-up, and not get focus via mouse and
 > if they also
 > don't have decorations, what is considered as full functionality of
 > "normal" frames?
 > That sounds to me a bit like a popup window. Do you give them focus by
 > switching
 > with keyboard, like moving focus to "other window"?

Unless that's forbidden too via the ‘no-other-frame’ parameter ;-)

But the function that created such a frame usually has a handle to it
and can manipulate it like a "normal" frame.  And anyone else can find
out about the frame via ‘frame-list’ or ‘frame-child-frames’ and can
manipulate it like a "normal" frame.

 > "The concern is how to control
 > aspects like appearance, placement, focusing and stacking order of some
 > specific Emacs frames, without affecting the remaining frames."
 >
 > As you yourself point out, certain WMs does allow you to create rules per
 > windows.  On some
 > managers one can set rule based on window title bar, window class or class
 > name,
 > xid, role etc. I don't know if title bar property can be used if titlebar
 > exist but is hidden.
 >
 > Maybe a separate class name could be used for that kind of windows so one
 > can set
 > appropriate hints for that frame. Or maybe you are already doing that? Just
 > an idea,
 > I haven't looked at your patch to be honest.

I'd rather leave it to the application or the end user to pick what they
like most than give them some predefined classes to choose from.  This
way they should be able to fine-tune the behavior and appearance of a
separate minibuffer frame, the ediff control panel or the speedbar to
their like.

 > I cloned code today from git and compilations is crashing on me, when
 > dumping lisp code:
 > (without your patch applied):
 >
 > Loading /home/arthur/emacs/lisp/international/characters.el (source)...
 > Wrong type argument: char-table-p, nil
 > make[1]: *** [Makefile:752: bootstrap-emacs] Error 255
 > make[1]: Leaving directory '/home/arthur/emacs/src'
 > make: *** [Makefile:409: src] Error 2

Next time you encounter such a thing please report it immediately (you
apparently were ahead of Glenn by 15 hours).  Usually, nobody on this
list builds from a clean repository.

martin